Save a Meta partnership ad code a creator sent
curl --request POST \
--url https://app.sideshift.app/api/oauth/v1/ads/meta/partnership-code \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"postId": "<string>",
"partnershipAdCode": "<string>",
"creatorUsername": "<string>",
"postLabel": "<string>",
"sourcePostUrl": "<string>",
"destinationUrl": "<string>",
"launchMode": "partnership"
}
'import requests
url = "https://app.sideshift.app/api/oauth/v1/ads/meta/partnership-code"
payload = {
"postId": "<string>",
"partnershipAdCode": "<string>",
"creatorUsername": "<string>",
"postLabel": "<string>",
"sourcePostUrl": "<string>",
"destinationUrl": "<string>",
"launchMode": "partnership"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
postId: '<string>',
partnershipAdCode: '<string>',
creatorUsername: '<string>',
postLabel: '<string>',
sourcePostUrl: '<string>',
destinationUrl: '<string>',
launchMode: 'partnership'
})
};
fetch('https://app.sideshift.app/api/oauth/v1/ads/meta/partnership-code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sideshift.app/api/oauth/v1/ads/meta/partnership-code",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'postId' => '<string>',
'partnershipAdCode' => '<string>',
'creatorUsername' => '<string>',
'postLabel' => '<string>',
'sourcePostUrl' => '<string>',
'destinationUrl' => '<string>',
'launchMode' => 'partnership'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.sideshift.app/api/oauth/v1/ads/meta/partnership-code"
payload := strings.NewReader("{\n \"postId\": \"<string>\",\n \"partnershipAdCode\": \"<string>\",\n \"creatorUsername\": \"<string>\",\n \"postLabel\": \"<string>\",\n \"sourcePostUrl\": \"<string>\",\n \"destinationUrl\": \"<string>\",\n \"launchMode\": \"partnership\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.sideshift.app/api/oauth/v1/ads/meta/partnership-code")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"postId\": \"<string>\",\n \"partnershipAdCode\": \"<string>\",\n \"creatorUsername\": \"<string>\",\n \"postLabel\": \"<string>\",\n \"sourcePostUrl\": \"<string>\",\n \"destinationUrl\": \"<string>\",\n \"launchMode\": \"partnership\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sideshift.app/api/oauth/v1/ads/meta/partnership-code")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"postId\": \"<string>\",\n \"partnershipAdCode\": \"<string>\",\n \"creatorUsername\": \"<string>\",\n \"postLabel\": \"<string>\",\n \"sourcePostUrl\": \"<string>\",\n \"destinationUrl\": \"<string>\",\n \"launchMode\": \"partnership\"\n}"
response = http.request(request)
puts response.read_body{}{
"error": {
"code": "invalid_request",
"message": "name is required",
"requestId": "req_..."
}
}{
"error": {
"code": "unauthorized",
"message": "Missing bearer access token",
"requestId": "req_..."
}
}{
"error": {
"code": "insufficient_scope",
"message": "Requires scope 'campaigns:write'",
"requestId": "req_..."
}
}{
"error": {
"code": "idempotency_conflict",
"message": "Idempotency-Key was reused with a different request body",
"requestId": "req_..."
}
}{
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded",
"requestId": "req_..."
}
}Save a Meta partnership ad code a creator sent
Saves a partnership ad code that a creator sent outside SideShift for one post. No Meta ad account is needed. GET /ads/meta/partnership-code returns the saved code. The answer is the saved identity’s identityId. Requires the ads:write scope and an Idempotency-Key.
POST
/
ads
/
meta
/
partnership-code
Save a Meta partnership ad code a creator sent
curl --request POST \
--url https://app.sideshift.app/api/oauth/v1/ads/meta/partnership-code \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"postId": "<string>",
"partnershipAdCode": "<string>",
"creatorUsername": "<string>",
"postLabel": "<string>",
"sourcePostUrl": "<string>",
"destinationUrl": "<string>",
"launchMode": "partnership"
}
'import requests
url = "https://app.sideshift.app/api/oauth/v1/ads/meta/partnership-code"
payload = {
"postId": "<string>",
"partnershipAdCode": "<string>",
"creatorUsername": "<string>",
"postLabel": "<string>",
"sourcePostUrl": "<string>",
"destinationUrl": "<string>",
"launchMode": "partnership"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
postId: '<string>',
partnershipAdCode: '<string>',
creatorUsername: '<string>',
postLabel: '<string>',
sourcePostUrl: '<string>',
destinationUrl: '<string>',
launchMode: 'partnership'
})
};
fetch('https://app.sideshift.app/api/oauth/v1/ads/meta/partnership-code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sideshift.app/api/oauth/v1/ads/meta/partnership-code",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'postId' => '<string>',
'partnershipAdCode' => '<string>',
'creatorUsername' => '<string>',
'postLabel' => '<string>',
'sourcePostUrl' => '<string>',
'destinationUrl' => '<string>',
'launchMode' => 'partnership'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.sideshift.app/api/oauth/v1/ads/meta/partnership-code"
payload := strings.NewReader("{\n \"postId\": \"<string>\",\n \"partnershipAdCode\": \"<string>\",\n \"creatorUsername\": \"<string>\",\n \"postLabel\": \"<string>\",\n \"sourcePostUrl\": \"<string>\",\n \"destinationUrl\": \"<string>\",\n \"launchMode\": \"partnership\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.sideshift.app/api/oauth/v1/ads/meta/partnership-code")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"postId\": \"<string>\",\n \"partnershipAdCode\": \"<string>\",\n \"creatorUsername\": \"<string>\",\n \"postLabel\": \"<string>\",\n \"sourcePostUrl\": \"<string>\",\n \"destinationUrl\": \"<string>\",\n \"launchMode\": \"partnership\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sideshift.app/api/oauth/v1/ads/meta/partnership-code")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"postId\": \"<string>\",\n \"partnershipAdCode\": \"<string>\",\n \"creatorUsername\": \"<string>\",\n \"postLabel\": \"<string>\",\n \"sourcePostUrl\": \"<string>\",\n \"destinationUrl\": \"<string>\",\n \"launchMode\": \"partnership\"\n}"
response = http.request(request)
puts response.read_body{}{
"error": {
"code": "invalid_request",
"message": "name is required",
"requestId": "req_..."
}
}{
"error": {
"code": "unauthorized",
"message": "Missing bearer access token",
"requestId": "req_..."
}
}{
"error": {
"code": "insufficient_scope",
"message": "Requires scope 'campaigns:write'",
"requestId": "req_..."
}
}{
"error": {
"code": "idempotency_conflict",
"message": "Idempotency-Key was reused with a different request body",
"requestId": "req_..."
}
}{
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded",
"requestId": "req_..."
}
}Authorizations
oauth2platformApiKey
OAuth 2.1 authorization code + PKCE (S256). Tokens are tenant-bound (company_id) and scoped. Discover endpoints via /.well-known/oauth-authorization-server.
Headers
Client-chosen key; replaying the same key + body returns the original response, a different body returns 409.
Body
application/json
The ID of the creator's Instagram post, as SideShift tracks it.
The partnership ad code the creator sent.
Available options:
partnership, whitelist Response
Success. Returns the saved identity's identityId.
The response is of type object.